#===========================================================================
# allowed DPIs
#===========================================================================
dpis: [254, 190, 127, 56]

#===========================================================================
# allowed Formats
#===========================================================================
formats: ['*']

#===========================================================================
# the allowed scales
#===========================================================================
scales:
  - 25000
  - 50000
  - 100000
  - 200000
  - 500000
  - 1000000
  - 2000000
  - 4000000

outputFilename: 'pigma-${date}.pdf'

#===========================================================================
# the list of allowed hosts
#===========================================================================
hosts:
  - !localMatch
    dummy: true
  - !ipMatch
    ip: www.camptocamp.org
  - !dnsMatch
    host: labs.metacarta.com
    port: 80
  - !dnsMatch
    host: terraservice.net
    port: 80
  - !dnsMatch
    host: tile.openstreetmap.org
    port: 80

security:
  - !basicAuth
    matcher: !dnsMatch
      host: c2cpc61.camptocamp.com
      port:80
    username: xyz
    password: yxz
    preemptive: true


layouts:
  #===========================================================================
  A4 portrait:
  #===========================================================================
    metaData:
      title: '${title}'
      author: 'MapFish print module'
      subject: 'Simple layout'
      keywords: 'map,print'
      creator: 'MapFish'

    titlePage:
      pageSize: A4
      items:
        - !text
          spacingAfter: 150
        - !text
          font: Helvetica
          fontSize: 40
          spacingAfter: 100
          align: center
          text: '${title}'
        - !image
          maxWidth: 160
          maxHeight: 160
          spacingAfter: 100
          align: center
          url: http://trac.mapfish.org/trac/mapfish/attachment/ticket/3/logo_v8_sphere.svg?format=raw
        - !image
          maxWidth: 160
          maxHeight: 160
          spacingAfter: 100
          align: center
          url: 'file://${configDir}/logo-camptocamp-transparent.png'
        - !text
          font: Helvetica
          fontSize: 14
          align: left
          text: |
            Two layers are asked by the client:
            - a base layer from Metacarta
            - a transparent layer from Camptocamp.org (routes)
            .
            Some text is added over the map, just to demonstrate the absolute positionning.
      footer: &commonFooter
        height: 30
        items:
          - !columns
            config:
              cells:
                - paddingBottom: 5   
            items:
              - !image
                maxWidth: 40
                backgroundColor: #FF0000
                align: left
                url: '${configDir}/small-logo-camptocamp.png'
              - !text
                backgroundColor: #FF0000
                text: ©Camptocamp SA
              - !text
                align: right
                text: 'Page ${pageNum}'

    #-------------------------------------------------------------------------
    mainPage:
      pageSize: A4
      rotation: true
      header:
        height: 50
        items:
          - !text
            font: Helvetica
            fontSize: 30
            align: right
            text: '${mapTitle}'
      items:
        - !map
          spacingAfter: 30
          width: 440
          height: 483
        - !columns
          # columns can have an absolute position. In that case, they need the 3 following fields:
          absoluteX: 410
          absoluteY: 310
          width: 100
          items:
            - !scalebar
              type: bar
              maxSize: 100
              barBgColor: white
              fontSize: 8
              align: right
        - !text
          text: '${comment}'
          spacingAfter: 30
        - !attributes
          source: data
          spacingAfter: 30
          columnDefs:
            id:
              columnWeight: 2
              header: !text
                text: ID
                backgroundColor: #A0A0A0
              cell: !text
                text: '${id}'
            name:
              columnWeight: 5
              header: !text
                text: Name
                backgroundColor: #A0A0A0
              cell: !columns
                config:
                  cells:
                    - backgroundColor: '${nameBackgroundColor}'
                      borderWidth: 1
                      borderColor: '${nameBorderColor}'
                items:
                  - !text
                    text: '${name}'
            icon:
              columnWeight: 2
              header: !text
                text: Symbol
                backgroundColor: #A0A0A0
              cell: !image
                align: center
                maxWidth: 15
                maxHeight: 15
                url: 'http://www.mapfish.org/svn/mapfish/framework/client/trunk/mfbase/mapfish/img/${icon}.png'
        - !text
          font: Helvetica
          fontSize: 9
          align: right
          text: '1:${scale} ${now MM.dd.yyyy}'
      footer: *commonFooter
